Revoke an NFT
This endpoint allows you to revoke a non-transferable NFT.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdintegerRequired
nftIdintegerRequired
NFT ID
Responses
202Success
application/json
transactionIdstringRequired
Transaction ID that identifies the Transaction generated by an API request
projectIdnumberOptional
The ID of the Project the NFT is part of
nftIdnumberRequired
Unique ID for an NFT in a Project
transferablebooleanOptional
Whether or not the NFT can be transferred based on the Project its a part of
mintAddressstringRequiredExample:
Address for the NFT's or token's mint account
EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDpPattern: ^[A-HJ-NP-Za-km-z1-9]*$401
Unauthorized
application/json
403
Forbidden
application/json
404
Not Found
application/json
post
/v2/projects/n/:projectId/nfts/:nftId/revokeExample
curl --location --request POST 'https://dev.underdogprotocol.com/v2/projects/n/:projectId/nfts/:nftId/revoke' \
--header 'Authorization: Bearer {token}'const axios = require('axios');
let config = {
method: 'post',
url: 'https://dev.underdogprotocol.com/v2/projects/n/:projectId/nfts/:nftId/revoke',
headers: {
'Authorization': 'Bearer {token}'
}
};
axios(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Last updated